import greenfoot.*;

/**
 * Write a description of class Bee here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Squirrel extends Actor
{
    private int speed = 7;
    private boolean hasAnAcorn;
    
    /*
     * Create a default constructor for the class Squirrel that makes it so that the squirrel 
     * does not have an acorn to begin with. In other words, you should make it show as 
     * “squirrel.png” and record this information for future use in the program. 
     */
    public Squirrel()
    {
        this(false);
    }
    
    /*
     * Create a constructor for the class Squirrel that allows the caller to say whether 
     * it has an acorn or not.
     * Remember to record this. 
     * If the squirrel is carrying an acorn, it should show as "squirrelWithNut.png"
     * If the squirrel is not carrying an acorn, it should show as "squirrel.png"
     */
    public Squirrel(boolean hasAcorn)
    {
        hasAnAcorn = hasAcorn;
        if(hasAcorn)
        {
            setImage("squirrelWithNut.png");
        }
        else
        {
            setImage("squirrel.png");
        }
    }
    
    /**
     * Act - do whatever the Bee wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        // Add your action code here.
        movement();
        checkForAcorn();
        dropOff();
    }   
    
    /**
     * Method movement
     * Makes the squirrel move back and forth between the two sides of the screen, 
     * turning it slightly every time.
     */
    private void movement()
    {
        move(speed);
        if(isAtEdge())
        {
            speed = speed * -1;
            getImage().mirrorHorizontally();
            turn(Greenfoot.getRandomNumber(20)-10);
        }
    }
    
    /*
     * Add to this method so that:
     * If this squirrel has run into an acorn and it is not already carrying one
     * Remove the acorn from the world, note that it's carrying an acorn in a boolean
     * variable, and set its image to "squirelWithNut.png"
     * 
     */
    
    private void checkForAcorn()
    {
        if(isTouching(Acorn.class) && !hasAnAcorn)
        {
            hasAnAcorn = true;
            setImage("squirrelWithNut.png");
            removeTouching(Acorn.class);
        }
    }
    
    
    /*
     * Add to drop off so that:
     * If the squirrel is carrying an acorn, it is at a hiding place, and the hiding place is not full,
     * it drops off the acorn at the hiding place using the method provided in in HidingPlace
     * it records that it is no longer carrying an acorn, and the squirrel's image is set to "squirrel.png"
     * 
     */
    private void dropOff()
    {
    
    }
}
