import greenfoot.*;

/**
 * Write a description of class BeeWorld here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class SquirrelWorld extends World
{
    private int count;
    private int regen;
    
    /**
     * Constructor for objects of class BeeWorld.
     * 
     */
    public SquirrelWorld()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(800, 600, 1); 
        setPaintOrder(Label.class);
        count = 0;
        regen = 0;
        prepare();
    }
    
    public void act()
    {
        regenerate();
    }
    
    private void regenerate()
    {
        regen++;
        if(regen == 75)
        {
            addObject(new Acorn(), Greenfoot.getRandomNumber(getWidth()), Greenfoot.getRandomNumber(getHeight()) );
            regen = 0;
        }
    }

    /**
     * Prepare the world for the start of the program. That is: create the initial
     * objects and add them to the world.
     */
    private void prepare()
    {   
        /*
         * Add 10 Acorns randomly between 0 and 200 on the x-axis,
         * and between 100 and 600 on the y-axis.
         */
        
        for(int y = 0; y < 10; y++)
        {
            int rndX = Greenfoot.getRandomNumber(200); 
            int rndY = Greenfoot.getRandomNumber(500)+100;
            addObject(new Acorn(), rndX, rndY);
        }
        
        
        Tree tree = new Tree();
        addObject(tree, 754, 320);
        tree.setLocation(650, 179);
        
        /*
         * Add a hiding place that is at 588 on the x-axis, and 583 on the y-axis
         * to have 2 acorns at the beginning of the program.
         */
        
        HidingPlace hidingPlace1 = new HidingPlace(2);
        addObject(hidingPlace1, 588, 583);
        
        //----------
        
        HidingPlace hidingplace2 = new HidingPlace();
        addObject(hidingplace2, 645, 576);
        HidingPlace hidingplace3 = new HidingPlace();
        addObject(hidingplace3, 703, 577);
        HidingPlace hidingplace4 = new HidingPlace();
        addObject(hidingplace4, 749, 560);
        HidingPlace hidingplace5 = new HidingPlace();
        addObject(hidingplace5, 726, 518);
        HidingPlace hidingplace6 = new HidingPlace();
        addObject(hidingplace6, 679, 539);
        HidingPlace hidingplace7 = new HidingPlace();
        addObject(hidingplace7, 617, 544);
        HidingPlace hidingplace8 = new HidingPlace();
        addObject(hidingplace8, 634, 492);
        HidingPlace hidingplace9 = new HidingPlace();
        addObject(hidingplace9, 691, 485);
        HidingPlace hidingplace10 = new HidingPlace();
        addObject(hidingplace10, 643, 440);
        HidingPlace hidingplace11 = new HidingPlace();
        addObject(hidingplace11, 698, 432);
        HidingPlace hidingplace12 = new HidingPlace();
        addObject(hidingplace12, 671, 394);
        HidingPlace hidingplace13 = new HidingPlace();
        addObject(hidingplace13, 633, 357);
        HidingPlace hidingplace14 = new HidingPlace();
        addObject(hidingplace14, 693, 343);
        HidingPlace hidingplace15 = new HidingPlace();
        addObject(hidingplace15, 704, 289);
        HidingPlace hidingplace16 = new HidingPlace();
        addObject(hidingplace16, 661, 317);
        HidingPlace hidingplace17 = new HidingPlace();
        addObject(hidingplace17, 641, 265);
        HidingPlace hidingplace18 = new HidingPlace();
        addObject(hidingplace18, 602, 330);
        hidingplace18.setLocation(588, 317);
        hidingplace15.setLocation(701, 281);
        hidingplace17.setLocation(641, 268);
        HidingPlace hidingplace19 = new HidingPlace();
        addObject(hidingplace19, 638, 221);
        hidingplace19.setLocation(633, 213);
        HidingPlace hidingplace20 = new HidingPlace();
        addObject(hidingplace20, 572, 266);
        HidingPlace hidingplace21 = new HidingPlace();
        addObject(hidingplace21, 765, 234);
        hidingplace21.setLocation(756, 229);
        hidingplace20.setLocation(566, 261);
        hidingplace20.setLocation(569, 269);
        addObject(new Squirrel(),400,400);
    }
}
