import greenfoot.*;

/**
 * Write a description of class Hive here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class HidingPlace extends Actor
{
    //keeps track of the amount of acorns in the HidingPlace
    private int acorns; 
    //holds onto the label that shows up on the hole (0, 1, 2, or 3)
    private Label label;
    
    /**
     * HidingPlace
     */
    public HidingPlace()
    {
        acorns = 0;
    }   
    
    /**
     * HidingPlace 
     * numOfNuts stands for the number of acorns this HidingPlace has
     */
    public HidingPlace(int numOfAcorns)
    {
        acorns = numOfAcorns;
    }
    
    /**
     * Act - do whatever the Hive wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        // Add your action code here.
        checkLevels();
    }    
    
    /**
     * Method checkLevels
     * Adds a label to the hole
     * Makes the label appear as filled in if the HidingPlace is fully stocked
     */
    private void checkLevels()
    {
        if(label == null)
        {
            label = new Label(acorns);
            getWorld().addObject(label,getX(),getY());
        }
        if (acorns == 3)
        {
            setImage("holeFilled.png");
        }
    }
    
    /*
     * Create an accessor method called isFull that returns whether the HidingPlace is full or not.
     * A HidingPlace is full when it has 3 or more acorns stored in it, which is kept track of in the 
     * variable "acorns."
     */
    
    
    /**
     * Method dropOff
     * Increases the number of Acorns in the HidingPlace
     */
    public void dropOff()
    {
        acorns++;
        label.update(acorns);
    }
        
}
